\version "2.12.0"
\include "deutsch.ly"


% Ukazi za neporavnane pavze
npavze = {
	\revert Rest #'staff-position
	\revert MultiMeasureRest #'staff-position
}

% Ukazi za poravnane pavze
ppavze = {
	\override Rest #'staff-position = #0
	\override MultiMeasureRest #'staff-position = #0
}

% Koliko zlogov preskočimo?
preskoci = #(define-music-function (parser location steviloZlogov) (integer?) #{
	\repeat "unfold" $steviloZlogov \skip 1
#})


\header {
	title = "Gloria"
	subtitle = ""
	composer = "Charles Gounod"
	arranger = ""
	instrument = ""
	metre = ""
	opus = ""
	piece = ""
	poet = ""
	tagline = ""
	copyright = ""
}

\paper {
	set-paper-size = "a4"
	top-margin = 10\mm
	bottom-margin = 8\mm
	left-margin = 15\mm
	line-width = 182\mm
	% Začetna številka strani
	first-page-number = #3
	print-first-page-number = ##t
	% Številčenje strani naj se vrši na sredini spodaj
	oddHeaderMarkup = \markup \fill-line { " " }
	evenHeaderMarkup = \markup \fill-line { " " }
	oddFooterMarkup = \markup { \fill-line {
		\fontsize #2 \on-the-fly #print-page-number-check-first
		\fromproperty #'page:page-number-string }
	}
	evenFooterMarkup = \markup { \fill-line {
		\fontsize #2 \on-the-fly #print-page-number-check-first
		\fromproperty #'page:page-number-string }
	}
}

global = {
	% Tonaliteta in taktovski način
	%\key c \major
	\key b \major
	\time 4/4
	% Velikost notnega črtovja
	#(set-global-staff-size 18.0)
	% Ne izpisuj večtaktnih pavz
	\set Score.skipBars = ##t
	% Enoten znak za večtaktne pavze
	\override MultiMeasureRest #'expand-limit = 1
	% Samodejne zastavice izklopljene
	\autoBeamOff
	% Sredinsko poravnane pavze
	\ppavze
}


besediloSopranAlt = \lyricmode {
	Glo  --  --  ri  --  --  a in ex  --  --  cel -- sis De -- o, glo -- ri -- a in ex -- cel -- sis De -- o. Et in __ ter -- ra pax ho -- mi -- ni -- bus bo -- næ vo -- lun -- ta -- tis. Lau -- da -- mus te, be -- ne -- di -- ci -- mus te, ad -- o -- ra -- mus te, glo -- ri -- fi -- ca -- mus te. Gra -- ti -- as, gra -- ti -- as a -- gi -- mus ti -- bi pro -- pter ma -- gnam glo -- ri -- am tu -- am. Do -- mi -- ne De -- us, Rex coe -- le -- stis, De -- us Pa -- ter o -- mni -- pot -- ens. __
	Qui tol -- lis pec -- ca -- ta, pec -- ca -- ta mun -- di, qui tol -- lis pec -- ca -- ta, pec -- ca -- ta mun -- di, Qui se -- des, qui se -- des ad de -- xte -- ram Pa -- tris,
	Quo -- ni -- am tu __ so -- lus san -- ctus, tu __ so -- lus Do -- mi -- nus, tu so -- lus Al -- tis -- si -- mus, Je -- su Chri -- ste. Cum San -- cto __ Spi -- ri -- tu, cum San -- cto __ Spi -- ri -- tu, in glo -- ri -- a De -- i Pa -- tris, cum San -- cto __ Spi -- ri -- tu, cum San -- cto __ Spi -- ri -- tu, in glo -- ri -- a De -- i Pa -- tris. A -- men, a -- men.
}

besediloTenor = \lyricmode {
	\preskoci #91
	Do -- mi -- ne Fi -- li u -- ni -- ge -- ni -- te, Je -- su Chri -- ste, Je -- su Chri -- ste, Do -- mi -- ne, Do -- mi -- ne De -- us A -- gnus De -- i Fi -- li -- us Pa -- tris.
	\preskoci #11
	mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis,
	\preskoci #11
	su -- sci -- pe de -- pre -- ca -- ti -- o -- nem no -- stram.
	\preskoci #12
	mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis.
}

besediloBas = \lyricmode {
	\preskoci #22
	pax ho -- mi -- ni -- bus bo -- næ,
	\preskoci #10
	be -- ne -- di -- ci -- mus te,
	\preskoci #11
	Gra -- ti -- as a -- gi -- mus ti -- bi
	\preskoci #9
	Do -- mi -- ne De -- us, Rex coe -- le -- stis, De -- us,
	\preskoci #26
	Do -- mi -- ne __ De -- us,
	\preskoci #17
	pec -- ca -- ta mun -- di,
	\preskoci #15
	pec -- ca -- ta, pec -- ca -- ta mun -- di,
	\preskoci #60
	Cum San -- cto
	\preskoci #11
	cum San -- cto
}


sopran = \relative c'' {
	% Oznake za glasnost gor
	\dynamicUp

	% Gloria in excelsis Deo
	R1^\markup{\bold "Allegro"}
	c4.. \ff c16 c2
	c4 h a g
	c2 (d)
	c2. r4
	c4.. c16 c2
	c4 h a g
	c2 (a)
	g2. r4
	g2 \p a4 (h)
	c2 g4 r
	g2 a4 (h)
	c4. g8 g4 r
	e'2 c
	a4 (h) c (d)
	c2 (h)
	c2 r4 g \f
	e'2 d
	c4 r g c
	h4 (c) d h
	c4 r g g
	e'2 d
	c4 a d c
	h2 a
	g2. r4
	c4. ^\markup{dim.} c8 h2
	a4. a8 g4 r
	c4. c8 h2
	a2 \> g \!
	g4 c d ^\markup{cresc.} e
	f2 e4 d
	c2 (h)
	c2. r4
	c4.. \f c16 c2
	d2 c4 r
	c2. c4
	d2 c4 r
	c2 c
	a2 a4 a
	a2. a4
	c1 ~ \fermata
	c4 r r2

	% Domine Fili unigenite
	\key f \major
	R1*15
	r2 r4 a ^\markup{Tutti} \ff
	a2 f4 d'
	c2 b4 b
	b2 (a4) g
	g2 f4 r
	R1*3
	r2 r4 a ^\markup{Tutti} \ff
	a2 f4 d'
	c2 b4 b
	e4 (d) c (b)
	b2 a4 r
	R1*3
	r2 r4 a ^\markup{Tutti} \ff
	d2 d4 d
	b2 b4 b
	c4.. c16 c2
	d2 d4 r
	R1*5

	% Quoniam tu solus sanctus
	\key c \major
	c4.. ^\markup{Tutti} \f c16 c2
	c4 (h) a g
	c2 (d)
	c2. r4
	c4 (h) a g
	c4.. c16 c4 c
	a2 a4 a
	d4.. d16 d2
	g,2 c
	h2 \> (a) \!
	g2 r4 g
	a \< (h) c (d) \!
	e4.. c16 c4 g
	a ^\markup{cresc.} (h) c (d)
	e4.. c16 c4 g \f
	a (h) c d
	e2 d
	c2 (h)
	c2 r4 g
	a (h) c (d)
	e4.. c16 c4 g
	a (h) c (d)
	e4.. c16 c4 g
	a (h) c d
	e2 d
	c2 (h)
	c2. r4
	c1 \ff
	a2. r4
	h1
	c1 \fermata
	\bar "|."
}

alt = \relative c'' {

	% Gloria in excelsis Deo
	R1
	c4.. c16 c2
	c4 h a g
	a2 (h)
	c2. r4
	c4.. c16 c2
	c4 h a g
	a2 (fis)
	g2. r4
	g2 f
	e2 e4 r
	g2 f
	e4. e8 e4 r
	g2 e
	c4 (d) e (f)
	e2 (d)
	e2 r4 g
	g2 f
	e4 r g e
	d4 (e) f g
	e4 r g g
	c2 h
	a4 fis g a
	g2 fis
	g2. r4
	e4. e8 g2
	f4. f8 e4 r
	e4. e8 g2
	f2 e
	e4 e f g
	a2 g4 f
	e2 (d)
	e2. r4
	c'4.. c16 c2
	h2 c4 r
	c2. c4
	h2 c4 r
	c2 c
	f,2 f4 f
	f2. f4
	e1 ~
	e4 r r2

	% Domine Fili unigenite
	\key f \major
	R1*15
	r2 r4 a
	f2 d4 f
	a2 g4 g
	g2 (f4) e
	e2 d4 r
	R1*3
	r2 r4 a'
	f2 d4 f
	a2 g4 g
	c4 (b) a (g)
	g2 f4 r
	R1*3
	r2 r4 a
	fis2 fis4 fis
	g2 g4 g
	a4.. a16 a2
	b2 b4 r
	R1*5

	% Quoniam tu solus sanctus
	\key c \major
	c4.. c16 c2
	c4 (h) a g
	a2 (h)
	c2. r4
	c4 (h) a g
	a4.. a16 a4 a
	fis2 fis4 fis
	h4.. h16 h2
	e,2 a
	g2 (fis)
	g2 r4 e
	f (g) a (h)
	c4.. c16 c4 e,
	f (g) a (h)
	c4.. c16 c4 e,
	f (g) a h
	c2 f,
	e2 (d)
	e2 r4 e
	f (g) a (h)
	c4.. c16 c4 e,
	f (g) a (h)
	c4.. c16 c4 e,
	f (g) a h
	c2 f,
	e2 (d)
	e2. r4
	a1
	f2. r4
	g1
	e1
	\bar "|."

}

tenor = \relative c' {

	% Gloria in excelsis Deo
	R1
	c4.. \ff c16 c2
	e4 d c h
	c2 (f)
	e2. r4
	e4.. e16 e2
	e4 d c h
	e2 (d4 c)
	h2. r4
	h2 \p c4 (d)
	c2 c4 r
	h2 c4 (d)
	\npavze c4. c8 c4 r \ppavze
	c2 g
	f2 (g4) a
	g1
	g2 r4 g \f
	c2 d
	\npavze e4 r c c \ppavze
	d4 (c) h d
	c4 r g g
	g2 gis
	a4 d d e
	d2 c
	h2. r4
	c4. _\markup{dim.} c8 e,2
	\npavze f4 a c r \ppavze
	c2 d4 e
	f2 \> c \!
	c4 c c _\markup{cresc.} c
	c2 c4 a
	c2 (f)
	\npavze e2. r4 \ppavze
	c4.. \f c16 c2
	\npavze f2 e4 r \ppavze
	c2. c4
	\npavze f2 e4 r \ppavze
	c2 c
	c2 c4 c
	c2 d2
	e1 ~ _\fermata
	e4 r r2

	% Domine Fili unigenite
	\key f \major
	c4.. \p _\markup{Solo} b16 a4 r
	d2 c4 r
	c4 (a) g (b)
	b4. b8 a4 r
	g (a) b (g)
	d'2 c4 r
	f, (g) a (b)
	a2 g4 r
	\override MultiMeasureRest #'staff-position = #7
	R1
	\ppavze
	c2 b8 [a] g [f]
	d'2 c8 [b] a [g]
	b2 a4 r
	a4 a a a
	b4 (d) c b
	a2 (g2)
	f2 r4 a4 _\markup{Tutti} \ff
	d2 d4 d
	d2 d4 e8 [d]
	cis2. cis4
	cis2 d4 r
	\override MultiMeasureRest #'staff-position = #7
	\hideNotes << R1 {d4 d d d} >> \unHideNotes
	\hideNotes << R1 {d2 d2} >> \unHideNotes
	\ppavze
	cis4 _\markup{Solo} \p cis \< cis cis \!
	d2 \> cis4 \! a _\markup{Tutti} \ff
	d2 d4 d
	d2 d4 d
	c2 c
	c2 c4 r
	a4.. _\markup{Solo} \p a16 a2
	h4 d c h
	c4 e, h'2
	a2 r4 _\markup{Tutti} a \ff
	a2 a4 a
	b2 b4 d
	f4.. f16 f2
	f2 b,4 r
	g4 _\markup{Solo} \p a \< b c \!
	b2 \> a4 \! r
	a4 h c d
	c2 (h4 \> a)
	h2. \! r4

	% Quoniam tu solus sanctus
	\key c \major
	c4.. _\markup{Tutti} \f c16 c2
	e4 (d) c h
	c2 (f)
	e2. r4
	e4 (d) c h
	e4.. e16 e4 e
	d2 d4 d
	fis4.. h,16 h2
	h2 e
	d2 \> (c) \!
	h2. r4
	r2 r4 g
	c2 e4 r
	R1
	c4.. c16 e4 g, \f
	a (h) c d
	e2 a,
	c2 (f)
	e2 r
	r2 r4 g,
	c2 e4 r
	R1
	c4.. c16 e4 g,
	a (h) c d
	e2 a,
	c2 (f)
	e2. r4
	e1 \ff \glissando
	d2. r4
	d1 \glissando
	c1 _\fermata
	\bar "|."
}

bas = \relative c' {

	% Gloria in excelsis Deo
	R1
	c4.. c16 c2
	c4 g a e
	a2 (g)
	c,2. r4
	c'4.. c16 c2
	c4 g a h
	a2 (d,)
	g2. r4
	g2 g
	g2 g4 r
	g4 g g4. g8
	g4 c, (e) g
	c2 c,
	f2 e4 (d)
	g2 (g,)
	c2 r4 g'
	c2 g
	c4 g (e) c
	g'2 g4 g
	c,4 r g' g
	c,2 e
	a4 c h a
	d,2 d
	g2. r4
	c,2. c4
	c1
	c2 c4 c
	c2 c
	c'4 b a g
	f (d) e f
	g1
	c,4 c \< c c \!
	c1 ~
	c4 c c c
	c1 ~
	c4 c c c
	c2 c
	f2 f4 f
	f2 f
	c1 ~
	c4 r r2

	% Domine Fili unigenite
	\key f \major
	a'4.. g16 f4 r
	b2 a4 r
	a4 (f) e (g)
	g4. g8 f4 r
	e4 (f) g (e)
	b'2 a4 r
	d, (e) f (g)
	f2 e4 r
	b'2 a8 [g] f [e]
	\npavze f2 c4 r \ppavze
	b'2 a8 [g] f [e]
	g2 f4 r
	fis4 fis fis fis
	g4 (b) a g
	f2 (e)
	f2 r4 a4
	d,4 (f) a d,
	g4 (fis) g2
	a1
	d,2. r4
	a'4 _\markup{Solo} \p a \< a a \!
	b2 \> a4 \! r
	a4 a a a
	b2 a4 a
	d,4 (f) a d,
	g4 (fis) g2
	r4 c, d e
	f4 (e) f r
	a4.. a16 a2
	gis4 h a gis
	a4 e gis2
	a2 r4 a
	d,2 d4 d
	g2 g4 g
	f4.. f16 f2
	b2 b,4 r
	e4 f g e
	g2 f4 r
	fis4 g a fis
	a2 (g4 fis)
	g2. \! r4

	% Quoniam tu solus sanctus
	\key c \major
	c4.. c16 c2
	c4 (g) a e
	a2 (g)
	c,2. r4
	c'4 (g) a h
	a4.. a16 a4 a
	d,2 d4 d
	h4.. h16 h2
	e2 c
	d1
	g2. r4
	r2 r4 g
	c2 c,4 r
	R1
	c'4.. c,16 c4 e
	f (g) a h
	c2 f,
	g1
	c,2 r
	r2 r4 g'
	c2 c,4 r
	R1
	c'4.. c,16 c4 e
	f (g) a h
	c2 f,
	g1
	<c, g'>2. r4
	<a a'>1
	<d a'>2. r4
	<g, g'>1
	<c g'>
	\bar "|."
}


\score {
	\new ChoirStaff <<

		\new Staff = visokiGlasovi <<
			\new Voice = "soprani" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \sopran >>
			}
			\new Voice = "alti" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \alt >>
			}
		>>
		\new Lyrics \lyricsto "soprani" { \besediloSopranAlt }

		\new Staff = nizkiGlasovi <<
			\clef bass
			\new Voice = "tenorji" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \tenor >>
			}
			\new Voice = "basi" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \bas >>
			}
		>>
		\new Lyrics \with { alignAboveContext = nizkiGlasovi } \lyricsto "tenorji" { \besediloTenor }
		\new Lyrics \lyricsto "basi" { \besediloBas }

	>>

	\layout {
		\context {
			% Besedilo je bližje črtovju
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
		}
	}

}