\version "2.12.0"
\include "deutsch.ly"


% Ukazi za neporavnane pavze
npavze = {
	\revert Rest #'staff-position
	\revert MultiMeasureRest #'staff-position
}

% Ukazi za poravnane pavze
ppavze = {
	\override Rest #'staff-position = #0
	\override MultiMeasureRest #'staff-position = #0
}

% Koliko zlogov preskočimo?
preskoci = #(define-music-function (parser location steviloZlogov) (integer?) #{
	\repeat "unfold" $steviloZlogov \skip 1
#})


\header {
	title = "Agnus Dei"
	subtitle = ""
	composer = "Charles Gounod"
	arranger = ""
	instrument = ""
	metre = ""
	opus = ""
	piece = ""
	poet = ""
	tagline = ""
	copyright = ""
}

\paper {
	set-paper-size = "a4"
	top-margin = 10\mm
	bottom-margin = -3\mm
	left-margin = 15\mm
	line-width = 182\mm
	% Začetna številka strani
	first-page-number = #7
}

global = {
	% Tonaliteta in taktovski način
	%\key c \major
	\key b \major
	\time 4/4
	% Velikost notnega črtovja
	#(set-global-staff-size 17.4)
	% Ne izpisuj večtaktnih pavz
	\set Score.skipBars = ##t
	% Enoten znak za večtaktne pavze
	\override MultiMeasureRest #'expand-limit = 1
	% Samodejne zastavice izklopljene
	\autoBeamOff
	% Sredinsko poravnane pavze
	\ppavze
}


besediloSopranAlt = \lyricmode {
	A -- gnus __ De -- i, qui tol -- lis pec -- ca -- ta mun -- di: \preskoci #1 mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, 	\preskoci #1 mi -- se -- re -- re, mi -- se -- re -- re __ no -- bis.
	\preskoci #1 A -- gnus De -- i, qui tol -- lis pec -- ca -- ta mun -- di:  mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis. A -- gnus De -- i, __ A -- gnus De -- i, __ A -- gnus De -- i, qui tol -- lis pec -- ca -- ta mun -- di: do -- na no -- bis pa -- cem, do -- na no -- bis pa -- cem, do -- na __ no -- bis __ pa -- cem, do -- na no -- bis pa -- cem, do -- na no -- bis pa -- cem. __
}

besediloTenor = \lyricmode {
	\preskoci #46
	mi -- se -- re -- re, mi -- se -- re -- re.
	\preskoci #20
	do -- na do -- na
}

besediloBas = \lyricmode {
	\preskoci #46
	mi -- se -- re -- re,
	mi -- se -- re -- re.
	\preskoci #10
	De -- i, A -- gnus De -- i:
	\preskoci #10
	do -- na,
}


sopran = \relative c'' {
	% Oznake za glasnost gor
	\dynamicUp

	% Agnus Dei
	R1*2^\markup{\bold "Moderato"}
	\hideNotes << R1 {g2 f2} >> \unHideNotes
	\hideNotes << R1 {g2 f4 e} >> \unHideNotes
	\hideNotes << R1 {f4 f8 f g4 a} >> \unHideNotes
	\hideNotes << R1 {g2 e4 e} >> \unHideNotes
	\hideNotes << R1 {d4 a' g f} >> \unHideNotes
	\hideNotes << R1 {g2 e2} >> \unHideNotes
	\hideNotes << R1 {e4 c' h a} >> \unHideNotes
	\hideNotes << R1 {h2 g4 g} >> \unHideNotes
	\hideNotes << R1 {g4 e' d c} >> \unHideNotes
	\hideNotes << R1 {c4 h8 [a] a4 g8 [f]} >> \unHideNotes
	\hideNotes << R1 {e2 d4 d} >> \unHideNotes

	% Tutti
	g2^\markup{"Tutti"} \p f4 (e)
	g2 f4 e
	f4 f8 f g4 a
	g2 e4 r
	g4^\markup{cresc.} d' c b
	c4 (b8 [a]) a4 r
	a4^\markup{cresc.} e' d c
	d4 (c8 [h]) h4 r
	d2 \f c4 (h)
	c2 h4 (a)
	h2^\markup{dim.} a4 (g)
	a2 g4 (f)
	g2 \p f4 (e)
	g2 f4 e
	f4 f8 f g4 a
	g2 e4 r

	% Dona nobis pacem
	g4^\markup{cresc.} a b c
	b2 a4 r
	d,4^\markup{dim.} e f g
	f2 e4 r
	g2 \p f4 (e)
	g2 f4 (e)
	e2 (d)
	c2. r4
	g'2 \p g
	g2 g
	g1
	g2. r4
	g2 \pp g
	g2 g
	<< g1 { s4 \< s \! s \> s\! } >>
	c1 ~
	c4 r r2
	R1*4
	\bar "|."
}

alt = \relative c' {

	% Agnus Dei
	R1*13

	% Tutti
	e2 d4 (c)
	e2 d4 c
	d4 d8 d e4 f
	e2 c4 r
	e4 b' a g
	a4 (g8 [f]) f4 r
	fis4 c' h a
	h4 (a8 [g]) g4 r
	h2 a4 (g)
	a2 g4 (f)
	g2 f4 (e)
	f2 e4 (d)
	e2 d4 (c)
	e2 d4 c
	d4 d8 d e4 f
	e2 c4 r

	% Dona nobis pacem
	e4 f g a
	g2 f4 r
	h,4 c d e
	d2 c4 r
	e2 d4 (c)
	e2 d4 (c)
	c2 (h)
	c2. r4
	g'2 g
	g2 g
	g1
	g2. r4
	g2 g
	g2 g
	g1
	c,1 ~
	c4 r r2
	R1*4
	\bar "|."
}

tenor = \relative c' {

	% Agnus Dei
	R1*2
	g2 _\markup{Solo} \p f4 (e)
	g2 f4 e
	f4 f8 f g4 a
	g2 e4 r
	d4 a' g f
	g4 (f8 [e]) e2
	e4 _\markup{cresc.} c' h a
	h4 (a8 [g]) g4 r
	g4 \f e' d c
	c4 h8 [a] a4 _\markup{dim.} g8 [f]
	e2 d4 r

	% Tutti
	g2 \p g
	g2 g4 g
	a4 a8 a g4 f
	g2 g4 r
	c2_\markup{cresc.} c
	c2 c4 (cis)
	d2_\markup{cresc.} d
	d2 d
	d4 \f (e) f (g)
	c,4 (d) e (f)
	h,4_\markup{dim.} (c) d (e)
	a,4 (h) c (d)
	g,4 \p (a) h (c)
	g4 (a) h c
	a4 a8 a g4 f
	g2 g4 r

	% Dona nobis pacem
	R1
	c2 \mf c4 r
	R1
	h2 \p c4 r
	g4 (a) h (c)
	g2 g
	g2 (f)
	\npavze e2. r4 \ppavze
	h'2 \p d
	c2 e
	h2 (d)
	c2. r4
	<h d>2 \pp <h d>
	c2 g
	<< <h d>1 { s4 \< s \! s \> s\! } >>
	c1 ~
	c4 r4 r2
	R1*4
	\bar "|."
}

bas = \relative c {

	% Agnus Dei
	R1*2
	e2 d4 (c)
	e2 d4 c
	d4 d8 d e4 f
	e2 c4 r
	h4 f' e d
	e4 (d8 [c]) c2
	c4 a' g fis
	g4 (fis8 [e]) e4 r
	e4 c' h a
	a4 g8 [f] f4 e8 [d]
	c2 h4 r

	% Tutti
	c2 c
	c2 c4 c
	c4 c8 c c4 c
	c2 c4 r
	r2 c4 c
	f2 f4 r
	r2 d4 d
	g2 g
	<g, g'>2 <g g'>
	<g g'>2 <g g'>
	<g g'>2 <g g'>
	<g g'>2 <g g'>
	<c g'>2 <c g'>
	<c g'>2 <c g'>
	c2 c
	c2 c4 r

	% Dona nobis pacem
	R1
	f2 f4 r
	R1
	a2 a4 r
	g2 g
	g,4 (a) h (c)
	g1
	c4 g' (e) c
	d2 f
	e2 c
	d2 (f)
	e2. r4
	<c f>2 <c f>
	<c e>2 <c e>
	<c f>1
	<c ~ e ~>1
	<c e>4 r4 r2
	R1*4
	\bar "|."
}


\score {
	\new ChoirStaff <<

		\new Staff = visokiGlasovi <<
			\new Voice = "soprani" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \sopran >>
			}
			\new Voice = "alti" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \alt >>
			}
		>>
		\new Lyrics \lyricsto "soprani" { \besediloSopranAlt }

		\new Staff = nizkiGlasovi <<
			\clef bass
			\new Voice = "tenorji" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \tenor >>
			}
			\new Voice = "basi" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \bas >>
			}
		>>
		\new Lyrics \with { alignAboveContext = nizkiGlasovi } \lyricsto tenorji \besediloTenor
		\new Lyrics \lyricsto "basi" { \besediloBas }
	>>

	\layout {
		\context {
			% Besedilo je bližje črtovju
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
		}
	}

}