\version "2.12.0"
\include "deutsch.ly"


% Ukazi za neporavnane pavze
npavze = {
	\revert Rest #'staff-position
	\revert MultiMeasureRest #'staff-position
}

% Ukazi za poravnane pavze
ppavze = {
	\override Rest #'staff-position = #0
	\override MultiMeasureRest #'staff-position = #0
}

% Koliko zlogov preskočimo?
preskoci = #(define-music-function (parser location steviloZlogov) (integer?) #{
	\repeat "unfold" $steviloZlogov \skip 1
#})

\header {
	title = "Kyrie"
	subtitle = ""
	composer = "Charles Gounod"
	arranger = ""
	instrument = ""
	metre = ""
	opus = ""
	piece = ""
	poet = ""
	tagline = ""
	copyright = ""
}


\paper {
	set-paper-size = "a4"
	top-margin = 10\mm
	bottom-margin = 8\mm
	left-margin = 15\mm
	line-width = 182\mm
	% Začetna številka strani
	first-page-number = #1
	print-first-page-number = ##t
	% Številčenje strani naj se vrši na sredini spodaj
	oddHeaderMarkup = \markup \fill-line { " " }
	evenHeaderMarkup = \markup \fill-line { " " }
	oddFooterMarkup = \markup { \fill-line {
		\fontsize #2 \on-the-fly #print-page-number-check-first
		\fromproperty #'page:page-number-string }
	}
	evenFooterMarkup = \markup { \fill-line {
		\fontsize #2 \on-the-fly #print-page-number-check-first
		\fromproperty #'page:page-number-string }
	}
}

global = {
	% Tonaliteta in taktovski način
	%\key c \major
	\key b \major
	\time 4/4
	% Velikost notnega črtovja
	#(set-global-staff-size 18.0)
	% Ne izpisuj večtaktnih pavz
	\set Score.skipBars = ##t
	% Enoten znak za večtaktne pavze
	\override MultiMeasureRest #'expand-limit = 1
	% Samodejne zastavice izklopljene
	\autoBeamOff
	% Sredinsko poravnane pavze
	\ppavze
}


besediloSopranAlt = \lyricmode {
	Ky -- ri -- e e -- le -- i -- son, e -- le -- i -- son, Ky -- ri -- e e -- le -- i -- son, e -- le -- i -- son, Ky -- ri -- e, Ky -- ri -- e e -- le -- i -- son. Chri -- ste e -- le -- i -- son, Chri -- ste e -- le -- i -- son, e -- le -- i -- son, e -- le -- i -- son, Chri -- ste e -- le -- i -- son, Chri -- ste e -- le -- i -- son, e -- le -- i -- son. Ky -- ri -- e e -- le -- i -- son, e -- le -- i -- son, Ky -- ri -- e e -- le -- i -- son, e -- le -- i -- son, Ky -- ri -- e, Ky -- ri -- e e -- le -- i -- son, e -- le -- i -- son, e -- le -- i -- son, e -- le -- i -- son e -- le -- i -- son, Ky -- ri -- e e -- le -- i -- son, e -- le -- i -- son. __
}

besediloTenor = \lyricmode {
	\preskoci #7
	Chri -- ste e -- le -- i -- son,
	\preskoci #20
	Chri -- ste e -- le -- i -- son,
	\preskoci #6
	e -- le -- i -- son,
	\preskoci #14
	e -- le -- i -- son, __ e -- le -- i -- son, e -- le -- i -- son, __ e -- le -- i -- son, e -- le -- i -- son, e -- le -- i -- son. Ky -- ri -- e, Ky -- ri -- e
}

besediloBas = \lyricmode {
	\preskoci #35
	e -- le -- i -- son, e -- le -- i -- son, e -- le -- i -- son, __  
}


sopran = \relative c' {
	% Oznake za glasnost gor
	\dynamicUp

	% Kyrie I
	R1*9
	e4. \p e8 e4 e
	d4. d8 c4 a'
	g2 (f4.) f8
	e2. r4
	g4. ^\markup{cresc.} g8 g4 g
	f4. f8 e4 c'
	h2 (a4.) a8
	g2. r4
	e'4. \mf d8 c4 r
	h4. a8 g4 a
	e2 d
	c2. r4

	% Christe
	R1*2
	c'2 \f a4 e'
	e4. d8 c4 r
	d4. (c8) h4 h
	d4. c8 h4 h
	e4 d c d
	c4. c8 h4 r
	\override MultiMeasureRest #'staff-position = #4
	R1*2
	\ppavze
	c2 a4 e'
	e4. d8 c4 r
	c4. (h8) a4 e'
	d4. c8 h4 a8 [c]
	h2 ^\markup{dim.} a
	g2. r4

	% Kyrie II
	e4. \p e8 e4 e
	d4. d8 c4 a'
	g2 (f4.) f8
	e2. r4
	g4. ^\markup{cresc.} g8 g4 g
	f4. f8 e4 c'
	h2 (a4.) a8
	g2. r4
	e'4. \mf d8 c4 r
	h4. a8 g4 a
	e2 d
	c4 r4 r c'
	b2. b4
	a4 r r a
	d4 (h) a (g)
	g4 r r c
	b2. b4
	a4 r r a
	h2 (a4) g
	c4 r r2
	a4. \p a8 a4 a
	a4. ^\markup{dim.} a8 a r a4 \pp
	as2. as4
	g1 ~
	g4 r r2
	\bar "|."
}

alt = \relative c' {

	% Kyrie I
	R1*9
	\override MultiMeasureRest #'staff-position = #-9
	R1*4
	\ppavze
	e4. e8 e4 e
	d4. d8 c4 a'
	g2 (f4.) f8
	e2. r4
	c'4. h8 a4 r
	g4. f8 e4 f
	c2 h
	c2. r4

	% Christe
	R1*2
	a'2 e4 c'
	c4. h8 a4 r
	h4. (a8) gis4 gis
	h4. a8 gis4 gis
	c4 h a h
	a4. a8 gis4 r
	a2 e4 c'
	c4. h8 a4 r
	a2 e4 c'
	c4. h8 a4 r
	a4. (g8) fis4 c'
	h4. a8 g4 a
	g2 fis
	g2. r4

	% Kyrie II
	\override MultiMeasureRest #'staff-position = #-9
	R1*4
	\ppavze
	e4. e8 e4 e
	d4. d8 c4 a'
	g2 (f4.) f8
	e2. r4
	c'4. h8 a4 r
	g4. f8 e4 f
	c2 h
	c4 r4 r c
	g'2. g4
	f4 r r f
	f2. f4
	e4 r r c
	g'2. g4
	f4 r r f
	f2. f4
	e4 r r2
	f4. f8 f4 f
	f4. f8 f r f4
	f2. f4
	e1 ~
	e4 r r2
	\bar "|."

}

tenor = \relative c' {

	% Kyrie I
	R1*17
	e4. \mf d8 c4 r
	r2 r4 c
	g2 f
	e2. r4

	% Christe
	a2 \f e4 c'
	c4. h8 a4 r
	e'2 e4 e
	e4. e8 e4 r
	\npavze
	d4 (e) f e
	d4 e f e8 [d]
	c4 d8 [e] f4 d
	e4 dis e r
	a,2 c4 e
	e4. d8 c4 r
	\ppavze
	e2 e4 e
	e4. e8 e4 h8 [c]
	d4. d8 d4 e8 [fis]
	g4 d e e
	d2 _\markup{dim.} c
	h2. r4

	% Kyrie II
	R1*8
	e4. \mf (d8) c4 r
	r2 r4 c
	g2 f
	e4 c' c c
	c1 ~
	c4 a d c
	h4 g a h
	c1 ~
	c4 c d, e
	f4 c' h a
	g4 g d' d
	c4 r r2
	c4. \p c8 c4 r
	c4. _\markup{dim.} c8 c4 c \pp
	h2. h4
	c1 ~
	c4 r r2
	\bar "|."
}

bas = \relative c' {

	% Kyrie I
	R1*17
	c4. h8 a4 r
	r2 r4 f
	g2 g,
	c2. r4

	% Christe
	a'2 e4 c'
	c4. h8 a4 r
	a4 (e) c a
	e'4 fis8 [gis] a4 r
	\npavze
	\override MultiMeasureRest #'staff-position = #-2
	R1*6
	a4 (e) c a
	e'4 fis8 [gis] a4 r
	R1
	r2 r4 c,
	d2 d
	\ppavze
	g2. r4

	% Kyrie II
	R1*8
	c4. (h8) a4 r
	r2 r4 f
	g2 g,
	\npavze
	c4 r r2
	r4 c d e
	f4 r r2
	\override MultiMeasureRest #'staff-position = #-2
	R1
	r4 c c c
	\ppavze
	c2. c4
	c2. c4
	c1 ~
	c4 r r2
	f4. f8 f4 r
	f4. f8 f4 f
	f2. f4
	c1 ~
	c4 r r2
	\bar "|."
}


\score {
	\new ChoirStaff <<

		\new Staff = visokiGlasovi <<
			\new Voice = "soprani" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \sopran >>
			}
			\new Voice = "alti" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \alt >>
			}
		>>
		\new Lyrics \lyricsto "soprani" { \besediloSopranAlt }

		\new Staff = nizkiGlasovi <<
			\clef bass
			\new Voice = "tenorji" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \tenor >>
			}
			\new Voice = "basi" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \bas >>
			}
		>>
		\new Lyrics \with { alignAboveContext = nizkiGlasovi } \lyricsto "tenorji" { \besediloTenor }
		\new Lyrics \lyricsto "basi" { \besediloBas }

	>>

	\layout {
		\context {
			% Besedilo je bližje črtovju
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
		}
	}

}